[pdfmod] Make autogen.sh check for intltoolize and call it
- From: Bertrand Lorentz <blorentz src gnome org>
- To: svn-commits-list gnome org
- Cc:
- Subject: [pdfmod] Make autogen.sh check for intltoolize and call it
- Date: Wed, 5 Aug 2009 19:46:53 +0000 (UTC)
commit af227e64939dc3d29a4509fa8e6e9b96cc03f287
Author: Bertrand Lorentz <bertrand lorentz gmail com>
Date: Wed Aug 5 21:28:07 2009 +0200
Make autogen.sh check for intltoolize and call it
Also pass --force to gnome-doc-prepare, so that it shuts up about
existing files.
autogen.sh | 12 +++++++++++-
1 files changed, 11 insertions(+), 1 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 096c0f2..8d299a9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -10,6 +10,7 @@ CONFIGURE=configure.ac
: ${LIBTOOLIZE=libtoolize}
: ${ACLOCAL=aclocal}
: ${LIBTOOL=libtool}
+: ${INTLTOOLIZE=intltoolize}
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
@@ -47,6 +48,12 @@ DIE=0
}
}
+($INTLTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have intltool installed to compile $PROJECT."
+ DIE=1
+}
+
if test "$DIE" -eq 1; then
exit 1
fi
@@ -70,11 +77,14 @@ esac
$LIBTOOLIZE --force --copy
}
-(which gnome-doc-prepare && gnome-doc-prepare )|| {
+(which gnome-doc-prepare && gnome-doc-prepare --force )|| {
echo "**Error**: You must have gnome-common installed to compile $PROJECT."
exit 1
}
+echo "Running $INTLTOOLIZE ..."
+$INTLTOOLIZE --force --copy
+
echo "Running $ACLOCAL $aclocalinclude ..."
$ACLOCAL $aclocalinclude
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]